package request

// AddExcelInfoReq 新增表格请求
type AddExcelInfoReq struct {
	ExcelInfoId     int         `description:"表格ID"`
	ExcelName       string      `description:"表格名称"`
	Source          int         `description:"表格来源，1：excel插件的表格，2：自定义表格，默认：1"`
	ExcelType       int         `description:"表格类型，1：指标列，2：日期列，默认：1"`
	ExcelImage      string      `description:"表格截图"`
	ExcelClassifyId int         `description:"分类id"`
	Content         string      `description:"Excel表格内容"`
	TableData       interface{} `description:"自定义表格的数据内容"`
}

// SaveExcelInfoReq 编辑表格请求
type SaveExcelInfoReq struct {
	ExcelInfoId     int         `description:"表格ID"`
	ExcelName       string      `description:"表格名称"`
	Source          int         `description:"表格来源，1：excel插件的表格，2：自定义表格，默认：1"`
	ExcelType       int         `description:"表格类型，1：指标列，2：日期列，默认：1"`
	ExcelImage      string      `description:"表格截图"`
	ExcelClassifyId int         `description:"分类id"`
	Content         string      `description:"Excel表格内容"`
	TableData       interface{} `description:"自定义表格的数据内容"`
	OpSheetList     []SheetOp   `description:"sheet操作"`
}
type SheetOp struct {
	SheetIndex int    `description:"对应的sheet下标"`
	SheetName  string `description:"对应的sheet名称"`
	OpType     string `description:"操作类型,新增：add；替换：replace,追加：append"`
}
